clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Functions
PPTrace.cpp File Reference
`#include "PPCallbacksTracker.h"`
`#include "clang/AST/ASTConsumer.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/AST/RecursiveASTVisitor.h"`
`#include "clang/Basic/SourceManager.h"`
`#include "clang/Driver/Options.h"`
`#include "clang/Frontend/CompilerInstance.h"`
`#include "clang/Frontend/FrontendActions.h"`
`#include "clang/Lex/Preprocessor.h"`
`#include "clang/Tooling/CompilationDatabase.h"`
`#include "clang/Tooling/Tooling.h"`
`#include "llvm/Option/Arg.h"`
`#include "llvm/Option/ArgList.h"`
`#include "llvm/Option/OptTable.h"`
`#include "llvm/Option/Option.h"`
`#include "llvm/Support/CommandLine.h"`
`#include "llvm/Support/FileSystem.h"`
`#include "llvm/Support/MemoryBuffer.h"`
`#include "llvm/Support/Path.h"`
`#include "llvm/Support/ToolOutputFile.h"`
`#include <algorithm>`
`#include <fstream>`
`#include <iterator>`
`#include <string>`
`#include <vector>`
Include dependency graph for PPTrace.cpp:

Go to the source code of this file.

## Functions
static cl::list< std::string > | SourcePaths (cl::Positional, cl::desc("<source0> [... <sourceN>]"), cl::OneOrMore)
static cl::opt< std::string > | IgnoreCallbacks ("ignore", cl::init(""), cl::desc("Ignore callbacks, i.e. \"Callback1, Callback2...\"."))
static cl::opt< std::string > | OutputFileName ("output", cl::init(""), cl::desc("Output trace to the given file name or '-' for stdout."))
static cl::list< std::string > | CC1Arguments (cl::ConsumeAfter, cl::desc("<arguments to be passed to front end>..."))
static int | outputPPTrace (std::vector< CallbackCall > &CallbackCalls, llvm::raw_ostream &OS)
int | main (int Argc, const char **Argv)

## Function Documentation

static cl::list<std::string> CC1Arguments | ( | cl::ConsumeAfter | ,
|  | cl:: | desc"<arguments to be passed to front end>..."
| ) |  |
| static

Referenced by main().

static cl::opt<std::string> IgnoreCallbacks | ( | "ignore" | ,
|  | cl:: | init"",
|  | cl:: | desc"Ignore callbacks, i.e. \"Callback1, Callback2...\"."
| ) |  |
| static

Referenced by main().

int main | ( | int | Argc,
|  | const char ** | Argv
| ) |  |

Definition at line 179 of file PPTrace.cpp.

References CC1Arguments(), IgnoreCallbacks(), OutputFileName(), outputPPTrace(), and SourcePaths().

static cl::opt<std::string> OutputFileName | ( | "output" | ,
|  | cl:: | init"",
|  | cl:: | desc"Output trace to the given file name or '-' for stdout."
| ) |  |
| static

Referenced by main().

static int outputPPTrace | ( | std::vector< CallbackCall > & | CallbackCalls,
|  | llvm::raw_ostream & | OS
| ) |  |
| static

Definition at line 153 of file PPTrace.cpp.

References CallbackCall::Arguments, Argument::Name, CallbackCall::Name, and Argument::Value.

Referenced by main().

static cl::list<std::string> SourcePaths | ( | cl::Positional | ,
|  | cl:: | desc"<source0> [... <sourceN>]",
|  | cl::OneOrMore |
| ) |  |
| static

Referenced by main().